This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### degrees()
Examples |
    float rad = PI/4;
    float deg = degrees(rad);
    println(rad + " radians is " + deg + " degrees");
Description | Converts a radian measurement to its corresponding value in degrees. Radians and degrees are two ways of measuring the same thing. There are 360 degrees in a circle and 2*PI radians in a circle. For example, 90° = PI/2 = 1.5707964. All trigonometric functions in Processing require their parameters to be specified in radians.
Syntax |
    degrees(radians)
Parameters |
radians | float: radian value to convert to degrees
Returns | float
Related | radians()

Updated on October 26, 2013 08:58:30pm PDT